org.apache.lucene.search.spans

## Class SpanPositionCheckQuery

- java.lang.Object
- - org.apache.lucene.search.Query
  - - org.apache.lucene.search.spans.SpanQuery
    - - org.apache.lucene.search.spans.SpanPositionCheckQuery

- All Implemented Interfaces:
    Cloneable
  Direct Known Subclasses:
    SpanPositionRangeQuery

      public abstract class SpanPositionCheckQuery
      extends SpanQuery
      implements Cloneable

  Base class for filtering a SpanQuery based on the position of a match.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `class` | `SpanPositionCheckQuery.SpanPositionCheckWeight`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected SpanQuery` | `match`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SpanPositionCheckQuery(SpanQuery match)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected abstract FilterSpans.AcceptStatus` | `acceptPosition(Spans spans)` Implementing classes are required to return whether the current position is a match for the passed in "match" `SpanQuery`.
    `SpanWeight` | `createWeight(IndexSearcher searcher, boolean needsScores)` Create a SpanWeight for this query
    `boolean` | `equals(Object o)` Returns true iff `o` is equal to this.
    `String` | `getField()` Returns the name of the field matched by this query.
    `SpanQuery` | `getMatch()`
    `int` | `hashCode()`
    `Query` | `rewrite(IndexReader reader)` Expert: called to re-write queries into primitive queries.

    - ### Methods inherited from class org.apache.lucene.search.spans.SpanQuery

      `getTermContexts, getTermContexts`

    - ### Methods inherited from class org.apache.lucene.search.Query

      `clone, getBoost, setBoost, toString, toString`

    - ### Methods inherited from class java.lang.Object

      `finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### match

          protected SpanQuery match

  - ### Constructor Detail

    - #### SpanPositionCheckQuery

          public SpanPositionCheckQuery(SpanQuery match)

  - ### Method Detail

    - #### getMatch

          public SpanQuery getMatch()

      Returns:
        the SpanQuery whose matches are filtered.

    - #### getField

          public String getField()

      Description copied from class: `SpanQuery`
      Returns the name of the field matched by this query.
      Specified by:
        `getField` in class `SpanQuery`

    - #### acceptPosition

          protected abstract FilterSpans.AcceptStatus acceptPosition(Spans spans)
                                                              throws IOException

      Implementing classes are required to return whether the current position is a match for the passed in "match" `SpanQuery`. This is only called if the underlying last `Spans.nextStartPosition()` for the match indicated a valid start position.
      Parameters:
        `spans` - The `Spans` instance, positioned at the spot to check
      Returns:
        whether the match is accepted, rejected, or rejected and should move to the next doc.
      Throws:
        `IOException`
      See Also:
        `DocIdSetIterator.nextDoc()`

    - #### createWeight

          public SpanWeight createWeight(IndexSearcher searcher,
                                boolean needsScores)
                                  throws IOException

      Description copied from class: `SpanQuery`
      Create a SpanWeight for this query
      Specified by:
        `createWeight` in class `SpanQuery`
      Parameters:
        `searcher` - the IndexSearcher to be searched across
        `needsScores` - if the query needs scores
      Returns:
        a SpanWeight
      Throws:
        `IOException` - on error

    - #### rewrite

          public Query rewrite(IndexReader reader)
                        throws IOException

      Description copied from class: `Query`
      Expert: called to re-write queries into primitive queries. For example, a PrefixQuery will be rewritten into a BooleanQuery that consists of TermQuerys.
      Overrides:
        `rewrite` in class `SpanQuery`
      Throws:
        `IOException`

    - #### equals

          public boolean equals(Object o)

      Returns true iff `o` is equal to this.
      Overrides:
        `equals` in class `Query`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Query`

Copyright © 2000-2017 Apache Software Foundation. All Rights Reserved.